Subject: [TICTOC] Comments on architecture doc

From: "STUART VENTERS" <[email-masked]>
Date: Wed, 6 Aug 2008 16:38:58 -0500

These are from reading the draft-stein-tictoc-modules-02
  (Which is overall an nice job)

Section 2.3 second paragraph
    another category affecting observed packet arrival times is inaccuracies in the implementation.
      (Especially in the ability to accurately timestamp incoming and outgoing packets.)

Section 3.1 fifth paragraph
   I'm concerned about the words 'overriding design consideration'.
   In theory using an optimal frequency protocol and an optimal time protocol could result in needing two separate protocols to get time.
   I think a single 'compromise' protocol might be better than 2 'optimal' protocols for the dual application of time.

Section 4.2 third paragraph
   Seems like another bullet might be
    'analysis of the stability of the packet path to and from potential masters'
   (I'm not sure if this would be a third bullet or just replace the second one.)

Section 5.2 third paragraph
    Another 2 likely suspects are
      'algorithm and implementation quality'
      'timing packet rate'
    (Maybe given a good implementation and a specific application requirement,
       success depends on a suitable balance between the oscillator, packet statistics, and packet rate.)

Section 5.3 first paragraph last sentence
    and since PDV values are generally larger than our application's timing accuracy requirements.

Section 5.4 first paragraph
    Asymmetry is ok if you know about it apriori and can compensate for it.
    uncompensated asymmetry still causes offset errors

_______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc